from __future__ import print_function
from glob import glob
import os, re, sys
from sift_cutup import sift_cutout_features


thumbs = glob("thumbs/*.640x.png")

for t in thumbs:
    b = os.path.basename(t)
    b = re.sub(r"\.640x\.png$", "", b)
    sift = "sift/" + b + ".sift"
    if not os.path.exists(sift):
        print ("NO SIFT DATA FOR {0}, skipping".format(t), file=sys.stderr)
        continue
    sift_cutout_features(t, sift, thresh=15.0)

